
import com.imsl.finance.*;
import java.text.*;
import java.util.*;

public class OddLongLastMultiCoupYieldEx {

    static final DateFormat dateFormat
            = DateFormat.getDateInstance(DateFormat.SHORT, Locale.US);

    static private GregorianCalendar parse(String s) throws ParseException {
        GregorianCalendar cal = new GregorianCalendar();
        cal.setTime(dateFormat.parse(s));
        return cal;
    }

    public static void main(String args[]) throws ParseException {
        GregorianCalendar settlement = parse("02/25/1993");
        GregorianCalendar maturity = parse("09/15/2004");
        GregorianCalendar lastCoupon = parse("12/15/2003");
        double yield = Bond.yield(settlement, maturity, lastCoupon, 0.06875,
                85.334452, 100.0, Bond.SEMIANNUAL,
                DayCountBasis.Basis30e360);
        System.out.println("The yield is " + yield);
    }
}
